<?php
/* Ĉi tiu dosiero estas parto de Pâturage
 * 
 * Copyright (C) 2007 - Guillaume Savaton <llumeao@gmail.com>
 * 
 * Pâturage  estas libera programo;  vi  povas  ĝin  pludistribui  kaj/aŭ
 * modifi je la  kondiĉoj de la GNUa Ĝenerala Publika Permesilo, eldonita
 * de «Free Software Foundation», laŭ la versio 2 de tiu Permesilo aŭ, se
 * vi preferas, ajna posta versio.
 * 
 * Ni distribuas  ĉi tiun  programon esperante  ke ĝi estos  utila, tamen
 * SEN IA AJN GARANTIO,  i.a. sen la implica garantio pri SURMERKATIGEBLO
 * aŭ  TAŬGECO POR IU KONKRETA CELO. Pliajn  detalojn  vidu  en  la  GNUa
 * Ĝenerala Publika Permesilo.
 * 
 * Ekzemplero  de  la  GNUa  Ĝenerala Publika    Permesilo   devas   esti
 * liverita al vi kun ĉi tiu programo; ricevis, turnu vin al
 * 
 * Free Software Foundation
 * 51 Franklin Street, Fifth Floor
 * Boston, MA 02110-1301, USA
 * ------------------------------------------------------------------- */
?>
<?php
   require_once('klasoj/kunteksto.php');

   class PGVidajho {

      function vidigu() {
         // Malplena
      }

      function vidiguLigilonPorKrei($tipo) {
         global $kunteksto;
         if($kunteksto->chuAdministristo())
            PGAranghisto::vidiguTekstanLigilon(
                  $kunteksto->leguTradukon("Kreu {$tipo}n"),
                  $kunteksto->leguURLonAlKreaVidajho($tipo),
                  $kunteksto->leguTradukon("Kreu novan {$tipo}n")
               );
      }

      function vidiguTradukon($cheno) {
         global $kunteksto;
         echo $kunteksto->leguTradukon($cheno);
      }

      function inkluzivuSkripton($nomo) {
         global $kunteksto;
         PGAranghisto::inkluzivuSkripton(
               $kunteksto->leguDosierIndikonAlShablonujo() . "/skriptoj/$nomo.js"
            );
      }

      function chuAdministristo() {
         global $kunteksto;
         return $kunteksto->leguEnsalutReghimon() == 'administristo';
      }

      function chuUzanto() {
         global $kunteksto;
         return $kunteksto->leguEnsalutReghimon() == 'uzanto';
      }
   }
?>
