<?php
/* Ĉi tiu dosiero estas parto de Pâturage
 * 
 * Copyright (C) 2007 - Guillaume Savaton <llumeao@gmail.com>
 * 
 * Pâturage  estas libera programo;  vi  povas  ĝin  pludistribui  kaj/aŭ
 * modifi je la  kondiĉoj de la GNUa Ĝenerala Publika Permesilo, eldonita
 * de «Free Software Foundation», laŭ la versio 2 de tiu Permesilo aŭ, se
 * vi preferas, ajna posta versio.
 * 
 * Ni distribuas  ĉi tiun  programon esperante  ke ĝi estos  utila, tamen
 * SEN IA AJN GARANTIO,  i.a. sen la implica garantio pri SURMERKATIGEBLO
 * aŭ  TAŬGECO POR IU KONKRETA CELO. Pliajn  detalojn  vidu  en  la  GNUa
 * Ĝenerala Publika Permesilo.
 * 
 * Ekzemplero  de  la  GNUa  Ĝenerala Publika    Permesilo   devas   esti
 * liverita al vi kun ĉi tiu programo; ricevis, turnu vin al
 * 
 * Free Software Foundation
 * 51 Franklin Street, Fifth Floor
 * Boston, MA 02110-1301, USA
 * ------------------------------------------------------------------- */
?>
<?php
   require_once('klasoj/kunteksto.php');
   require_once('klasoj/datumbazo.php');

   echo '<?xml version="1.0" encoding="utf-8"?>'
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
   <head>
      <title>Paturage</title>
      <meta http-equiv="Content-Type"
            content="text/html; charset=utf-8" />
   </head>
   <body>
      <h1>Paturage</h1>
      <p>
         <?php echo PGKunteksto::leguTradukon('Mi kreas tabelojn en datumbazo...') ?>
      </p>

<?php
   $kunteksto = new PGKunteksto('instalilo');

   // Connect to MySQL server
   $datumbazo = new PGDatumbazo();
   $datumbazo->konektu();

   // Kreado de tabeloj
   $datumbazo->petu(
         'create table ' . PGKunteksto::leguTabelNomon('artikloj') . ' (' .
               'id int unsigned not null auto_increment primary key,' .
               'nomo varchar(255),' .
               'prefikso varchar(16),' .
               'sufikso varchar(16),' .
               'titolo varchar(255),' .
               'priskribo text,' .
               'rango tinyint unsigned,' .
               'chuPrivata bool,' .
               'chuKolekto bool,' .
               'chuLegosigno bool,' .
               'chuAlbumo bool,' .
               'kreita datetime,' .
               'redaktita datetime' .
            ') character set ' . PGKunteksto::leguAgordonPriKodosistemoEnDatumbazo() . ' collate ' . PGKunteksto::leguAgordonPriOrdigoEnDatumbazo()
      );

   $datumbazo->petu(
         'create table ' . PGKunteksto::leguTabelNomon('etikedoj') . ' (' .
               'id int unsigned not null auto_increment primary key,' .
               'nomo varchar(255)' .
            ') character set ' . PGKunteksto::leguAgordonPriKodosistemoEnDatumbazo() . ' collate ' . PGKunteksto::leguAgordonPriOrdigoEnDatumbazo()
      );

   $datumbazo->petu(
         'create table ' . PGKunteksto::leguTabelNomon('rel_artikloj_etikedoj') . ' (' .
               'artiklo int unsigned not null,' .
               'etikedo int unsigned not null' .
            ') character set ' . PGKunteksto::leguAgordonPriKodosistemoEnDatumbazo() . ' collate ' . PGKunteksto::leguAgordonPriOrdigoEnDatumbazo()
      );

   $datumbazo->petu(
         'create table ' . PGKunteksto::leguTabelNomon('rel_artikloj_kolektoj') . ' (' .
               'indico int unsigned not null,' .
               'artiklo int unsigned not null,' .
               'kolekto int unsigned not null' .
            ') character set ' . PGKunteksto::leguAgordonPriKodosistemoEnDatumbazo() . ' collate ' . PGKunteksto::leguAgordonPriOrdigoEnDatumbazo()
      );
?>
      <p>
         <?php echo PGKunteksto::leguTradukon('... tabeloj estas kreitaj!') ?>
      </p>
      <p>
         <a href="index.php">
            <?php echo PGKunteksto::leguTradukon('Klaku ĉi-tie por komenci uzi Paturage') ?>
         </a>
      </p>
   </body>
</html>
