<?php
/* Ĉi tiu dosiero estas parto de Pâturage
 * 
 * Copyright (C) 2007 - Guillaume Savaton <llumeao@gmail.com>
 * 
 * Pâturage  estas libera programo;  vi  povas  ĝin  pludistribui  kaj/aŭ
 * modifi je la  kondiĉoj de la GNUa Ĝenerala Publika Permesilo, eldonita
 * de «Free Software Foundation», laŭ la versio 2 de tiu Permesilo aŭ, se
 * vi preferas, ajna posta versio.
 * 
 * Ni distribuas  ĉi tiun  programon esperante  ke ĝi estos  utila, tamen
 * SEN IA AJN GARANTIO,  i.a. sen la implica garantio pri SURMERKATIGEBLO
 * aŭ  TAŬGECO POR IU KONKRETA CELO. Pliajn  detalojn  vidu  en  la  GNUa
 * Ĝenerala Publika Permesilo.
 * 
 * Ekzemplero  de  la  GNUa  Ĝenerala Publika    Permesilo   devas   esti
 * liverita al vi kun ĉi tiu programo; ricevis, turnu vin al
 * 
 * Free Software Foundation
 * 51 Franklin Street, Fifth Floor
 * Boston, MA 02110-1301, USA
 * ------------------------------------------------------------------- */
?>
<?php
   require_once('klasoj/kunteksto.php');
   require_once('klasoj/aranghisto.php');

   class PGPaghaVidajho extends PGVidajho {

      var $_enhavo;

      function PGPaghaVidajho($vidajho) {
         $this->_enhavo = $vidajho;
      }

      function vidigu() {
         global $kunteksto;
         include($kunteksto->leguDosierIndikonAlShablono('pagho'));
      }

      function inkluzivuChapon() {
         global $kunteksto;
         PGAranghisto::inkluzivuStilfolion($kunteksto->leguDosierIndikonAlStilFolio());
      }

      function vidiguTitolon() {
         global $kunteksto;
         echo $kunteksto->leguAgordonPriChefaTitolo();
      }

      function vidiguLingvon() {
         global $kunteksto;
         echo $kunteksto->leguAgordonPriLingvo();
      }

      function vidiguKodosistemon() {
         global $kunteksto;
         echo $kunteksto->leguAgordonPriKodosistemoEnHTML();
      }

      function vidiguEnhavon() {
         $this->_enhavo->vidigu();
      }

      function vidiguMesaghon() {
         global $kunteksto;
         if($kunteksto->leguGraveconDeMesagho() != 'NENIO') {
            PGAranghisto::malfermuSekcionKunKlaso('pg-' . $kunteksto->leguGraveconDeMesagho());
            echo $kunteksto->leguTekstonDeMesagho();
            PGAranghisto::fermuSekcion();
         }
      }

      function vidiguURLon() {
         global $kunteksto;
         echo $kunteksto->leguURLonAlChiTiuPagho();
      }
   }
?>
