/* Ĉi tiu dosiero estas parto de Pâturage
 * 
 * Copyright (C) 2007 - Guillaume Savaton <llumeao@gmail.com>
 * 
 * Pâturage  estas libera programo;  vi  povas  ĝin  pludistribui  kaj/aŭ
 * modifi je la  kondiĉoj de la GNUa Ĝenerala Publika Permesilo, eldonita
 * de «Free Software Foundation», laŭ la versio 2 de tiu Permesilo aŭ, se
 * vi preferas, ajna posta versio.
 * 
 * Ni distribuas  ĉi tiun  programon esperante  ke ĝi estos  utila, tamen
 * SEN IA AJN GARANTIO,  i.a. sen la implica garantio pri SURMERKATIGEBLO
 * aŭ  TAŬGECO POR IU KONKRETA CELO. Pliajn  detalojn  vidu  en  la  GNUa
 * Ĝenerala Publika Permesilo.
 * 
 * Ekzemplero  de  la  GNUa  Ĝenerala Publika    Permesilo   devas   esti
 * liverita al vi kun ĉi tiu programo; ricevis, turnu vin al
 * 
 * Free Software Foundation
 * 51 Franklin Street, Fifth Floor
 * Boston, MA 02110-1301, USA
 * ------------------------------------------------------------------- */

artikloj = document.getElementsByName('artikloj');

function leguSelektitanArtiklon() {
   for(a in artikloj)
      if(artikloj[a].checked)
         return parseInt(a);
}

function permutuEnhavon(a, b) {
   tmp = a.innerHTML;
   a.innerHTML = b.innerHTML;
   b.innerHTML = tmp;
}

function permutuOrdon(a, b) {
   ao = document.getElementsByName('ordo[' + a + ']');
   bo = document.getElementsByName('ordo[' + b + ']');
   tmp = ao[0].value;
   ao[0].value = bo[0].value;
   bo[0].value = tmp;
}

function movuSupren() {
   s = leguSelektitanArtiklon();
   if(s != 0) {
      permutuOrdon(s, s-1);
      par0 = artikloj[s].parentNode;
      par1 = artikloj[s-1].parentNode;
      permutuEnhavon(par0, par1);
      artikloj[s-1].checked = true;
   }
}

function movuMalsupren() {
   s = leguSelektitanArtiklon();
   if(s != artikloj.length-1) {
      permutuOrdon(s, s+1);
      par0 = artikloj[s].parentNode;
      par1 = artikloj[s+1].parentNode;
      permutuEnhavon(par0, par1);
      artikloj[s+1].checked = true;
   }
}
