<?php
/* Ĉi tiu dosiero estas parto de Pâturage
 * 
 * Copyright (C) 2007 - Guillaume Savaton <llumeao@gmail.com>
 * 
 * Pâturage  estas libera programo;  vi  povas  ĝin  pludistribui  kaj/aŭ
 * modifi je la  kondiĉoj de la GNUa Ĝenerala Publika Permesilo, eldonita
 * de «Free Software Foundation», laŭ la versio 2 de tiu Permesilo aŭ, se
 * vi preferas, ajna posta versio.
 * 
 * Ni distribuas  ĉi tiun  programon esperante  ke ĝi estos  utila, tamen
 * SEN IA AJN GARANTIO,  i.a. sen la implica garantio pri SURMERKATIGEBLO
 * aŭ  TAŬGECO POR IU KONKRETA CELO. Pliajn  detalojn  vidu  en  la  GNUa
 * Ĝenerala Publika Permesilo.
 * 
 * Ekzemplero  de  la  GNUa  Ĝenerala Publika    Permesilo   devas   esti
 * liverita al vi kun ĉi tiu programo; ricevis, turnu vin al
 * 
 * Free Software Foundation
 * 51 Franklin Street, Fifth Floor
 * Boston, MA 02110-1301, USA
 * ------------------------------------------------------------------- */
?>
<?php
   require_once('klasoj/kunteksto.php');
   require_once('klasoj/datumbazo.php');
   require_once('klasoj/artiklo.php');
   require_once('klasoj/artikla-vidajho.php');
   require_once('klasoj/pagha-vidajho.php');

   $kunteksto = new PGKunteksto('vidajho');

   $datumbazo = new PGDatumbazo();
   $datumbazo->konektu();

   if($kunteksto->chuAdministristo()) {
      // Laŭnecese, ĝisdatigu artiklon
      if($kunteksto->leguArgumentonPriFarendaRedaktOperacio() != 'NENIO') {
         require_once('redakta-kontrolisto.php');
         ghisdatiguArtiklon();
      }

      // Laŭnecese, forigu artiklon
      $artiklo = $kunteksto->leguArgumentonPriForigendaArtiklo();
      if($artiklo != 'NENIO' ) {
         $artiklo->forigu();
         $kunteksto->skribuMesaghon('informo', $kunteksto->leguTradukon('Artiklo estas sukcese forigita'));
      }
   }

   $artiklo = $kunteksto->leguArgumentonPriArtiklo();

   if(!$kunteksto->chuGasto() || !$artiklo->chuPrivata()) {
      // Se vidigado estas permesita, kreu vidaĵon kaj vidigu la paĝon
      $vidajho = PGFabriko::leguVidajhonPorArtiklo($artiklo);
      $pagho = new PGPaghaVidajho($vidajho);
      $pagho->vidigu();
   }
   else {
      // Se vidigado ne estas permesita, reiru al la patra paĝo
      // kaj vidigu erarmesaĝon
      header("Location: " . $kunteksto->leguURLonAlPatraPagho('epriv'));
   }

?>
